设置IntelliJ IDEA支持lambda表达式
< 返回列表时间: 2019-09-19来源:OSCHINA
【围观】麒麟芯片遭打压成绝版,华为亿元投入又砸向了哪里?>>>
使用IntelliJ IDEA做为开发工具,对基于maven的java工程,如果要编写lambda表达式,<font color="red">先确保安装并使用了jdk1.8或者更高版本</font>,然后再要做一些设置才能正常编译和执行,具体表现在maven支持和intellij idea工具支持两个方面,配置如下:
##maven支持## 在pom.xml中增加一个插件,使得maven支持jdk1.8语法: <build> <plugins> <plugin> <groupId>org.apache.maven.plugins</groupId> <artifactId>maven-compiler-plugin</artifactId> <version>3.2</version> <configuration> <source>1.8</source> <target>1.8</target> </configuration> </plugin> </plugins> </build>
修改intellij idea配置之一:修改intellij的全局设置##
接下来是intellij的全局设置,选择菜单中的全局设置,如下图红框:

在弹出的菜单中,设置Java compiler的level为1.8,具体的设置如下图红框所示:

修改intellij idea配置之二:修改项目工程配置##
然后是项目工程的属性支持lambda,在工程上点击右键,选择“Open Modular Settings“,如下图:

在弹出的菜单中的language level选择“8 - Lambdas“,如下图:

完成并使用
这些设置完毕之后,就能在代码中写lambda表达式了,并且ide还会自动提示,如下图:

欢迎关注我的公众号:程序员欣宸
热门排行